/*
 * Copyright (C) 2001-2011 Jacek Sieka, arnetheduck on gmail point com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef COMMAND_DLG_H
#define COMMAND_DLG_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CommandDlg {
public:
	int type;
	int ctx;
	tstring name;
	tstring command;
	tstring hub;

    static INT_PTR CALLBACK CommandDlgProc(HWND hWndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
    LRESULT CommandProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

	CommandDlg() : type(0), ctx(0), m_hWnd(NULL) { }

	void OnInitDialog();
	void onFocus();
	void onType();
	void onChange();
	void OnCloseCmd(WORD wID);
	INT_PTR DoModal(HWND hWndParent);

    HWND m_hWnd;
private:
	void updateType();
	void updateCommand();
	void updateControls();
	void updateContext();
};

#endif // COMMAND_DLG_H

/*
 * Some parts Copyright (C) 2002-2011 Petr Kozelka, PPK at czdc dot org
 * Licensed under GNU General Public License version 3.
 */
