/* 
 * Copyright (C) 2003 Twink,  spm7@waikato.ac.nz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef TOOLBARPAGE_H
#define TOOLBARPAGE_H

#include "PropPage.h"

class ToolbarPage : public PropPage {
public:
	ToolbarPage(SettingsManager *s);
	~ToolbarPage();

	void onInitDialog();
	void onAdd();
	void onRemove();
	
	// Common PropPage interface
	PROPSHEETPAGE *getPSP() { return &m_psp; }
	void write();
private:
	string filter(string s);
	void makeItem(LPLVITEM lvi, int item);
	tstring name;
	static Item items[];
	static TextItem texts[];
	TCHAR* title;

    static BOOL CALLBACK ToolbarPageProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
};

#endif //TOOLBARPAGE_H

/*
 * Some parts Copyright (C) 2004-2011 Petr Kozelka, PPK at czdc dot org
 * Licensed under GNU General Public License version 3.
 */
